Groovy Documentation

## org.codehaus.groovy.grails.plugins.datasource
[Groovy] Class DataSourceGrailsPlugin

    java.lang.Object
      org.codehaus.groovy.grails.plugins.datasource.DataSourceGrailsPlugin

    class DataSourceGrailsPlugin

A plugin that handles the configuration of a DataSource within Grails.

Authors:
  Graeme Rocher

Since:
  0.4

Property Summary
`java.lang.Object` | `dependsOn`
`java.lang.Object` | `doWithSpring`
`java.lang.Object` | `onChange`
`java.lang.Object` | `onShutdown`
`java.lang.Object` | `version`
`java.lang.Object` | `watchedResources`

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### dependsOn

    java.lang.Object dependsOn

### doWithSpring

    java.lang.Object doWithSpring

### onChange

    java.lang.Object onChange

### onShutdown

    java.lang.Object onShutdown

### version

    java.lang.Object version

### watchedResources

    java.lang.Object watchedResources

Groovy Documentation